﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Input;
using HierarchyConverter;
using Telerik.Windows;
using Telerik.Windows.Controls;
using TreeViewContextMenu.ViewModels;
using HierarchyConverter.Wpf.Sample;

namespace TreeViewContextMenu
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			//converter = this.Resources["folderHierarchyConverter"] as FolderConverter;

			treeView.ItemsSource = Enumerable.Range(1, 20).Select(i => new FolderViewModel(i, 0)).ToObservable();

			Mouse.AddMouseUpHandler(this, OnMouseButtonUp);
		}

		private void OnMouseButtonUp(object sender, Telerik.Windows.Input.MouseButtonEventArgs e)
		{
			if (e.ChangedButton == MouseButton.Right)
			{
				e.Handled = true;

				ContextMenuBuilder.OpenContextMenu(applicationContextMenu, e.OriginalSource as UIElement, e.GetPosition(Application.Current.RootVisual));
			}
		}
	}

	//public class FolderConverter : ReverseHierarchyConverter<FolderViewModel, int>
	//{
	//    public FolderConverter()
	//    {
	//        this.Initialize(f => f., f => f.ParentId, 0, -1);
	//    }
	//}
}

