﻿using System.Windows;
using Telerik.Windows.Controls;
using TreeViewContextMenu.ViewModels;

namespace TreeViewContextMenu
{
	public class HierarchyTemplateSelector : DataTemplateSelector
	{
		public DataTemplate FolderTemplate { get; set; }
		public DataTemplate FileTemplate { get; set; }

		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			if (item is FolderViewModel)
			{
				return FolderTemplate;
			}
			else if (item is FileViewModel)
			{
				return FileTemplate;
			}
			return base.SelectTemplate(item, container);
		}
	}
}
